﻿using System;

using UIKit;
using Steema.TeeChart;
using Steema.TeeChart.Styles;

namespace HorizPanning
{
    public partial class ViewController : UIViewController
    {
        TChart Chart;
        public ViewController(IntPtr handle) : base(handle)
        {
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();

            Chart = new TChart();
            Chart.Frame = this.View.Frame;

            Line series = new Line();
            Chart.Series.Add(series);
            series.FillSampleValues(100);

            Chart.Page.MaxPointsPerPage = 10;

            Chart.Panning.Allow = ScrollModes.Horizontal;
            Chart.Panning.Active = true;

            View.AddSubview(Chart);
        }

        public override void DidReceiveMemoryWarning()
        {
            base.DidReceiveMemoryWarning();
            // Release any cached data, images, etc that aren't in use.
        }
    }
}